from setupdevhelpers import *


def update_package():
    # Declaring local variables
    result = False
    proxies = get_proxies_from_wapt_console()
    if not proxies:
        proxies = get_proxies()

    last_versionbin = '0'
    for entry in bs_find_all('https://dl.cyberwatch.fr/rpm/incoming/',"a","href",proxies=proxies):
        if not entry.attrs['href'].endswith('.rpm') or  not entry.attrs['href'].startswith('cyberwatch-agent-'):
            continue
        fname = entry.attrs['href']
        versionbin = fname.split('-')[2]
        if Version(versionbin) > Version(last_versionbin):
            last_versionbin = versionbin
            download_url = 'https://dl.cyberwatch.fr/rpm/incoming/' + fname
            lastestbin = download_url.split('/')[-1]

    if not isfile(lastestbin):
        result = True
        wget(download_url,lastestbin)

    for f in glob.glob('*.rpm'):
        if f != lastestbin:
            remove_file(f)

    version = last_versionbin

    control.set_software_version(version)
    control.save_control_to_wapt()

    return result
